%global dlrn_nvr python-cinderclient-7.4.1-1.20220727224832.4f72e6f
%global dlrn 1
%define upstream_version 7.4.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname cinderclient

%global with_doc 0

%global common_desc \
Client library (cinderclient python module) and command line utility \
(cinder) for interacting with OpenStack Cinder (Block Storage) API.

Name:             python-cinderclient
Version: 7.4.1
Release: 1.20220727224832.4f72e6f%{?dist}
Summary:          Python API and CLI for OpenStack Cinder

License:          ASL 2.0
URL:              http://github.com/openstack/python-cinderclient
Source0: python-cinderclient-7.4.1-1.20220727224832.4f72e6f.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=4f72e6f0c218751d28c8442d401e2fd2abcec1ea

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:        noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires:    git-core

%description
%{common_desc}

%package -n python3-%{sname}
Summary:          Python API and CLI for OpenStack Cinder
%{?python_provide:%python_provide python3-%{sname}}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-pbr

Requires:         python3-pbr >= 5.5.0
Requires:         python3-prettytable >= 0.7.2
Requires:         python3-requests
Requires:         python3-six >= 1.15.0
Requires:         python3-keystoneauth1 >= 4.2.1
Requires:         python3-oslo-i18n >= 5.0.1
Requires:         python3-oslo-utils >= 4.7.0
Requires:         python3-simplejson >= 3.5.1
Requires:         python3-stevedore >= 3.2.2

%description -n python3-%{sname}
%{common_desc}

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Cinder API Client
Group:            Documentation

BuildRequires:    python3-reno
BuildRequires:    python3-sphinx
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-keystoneauth1
BuildRequires:    python3-oslo-utils
BuildRequires:    python3-prettytable

%description      doc
%{common_desc}

This package contains auto-generated documentation.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -rf python_cinderclient.egg-info

# Let RPM handle the requirements
rm -f {,test-}requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
export PYTHONPATH=.
sphinx-build-3 -W -b html doc/source doc/build/html
sphinx-build-3 -W -b man doc/source doc/build/man

# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%install
%{py3_install}
# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s cinder %{buildroot}%{_bindir}/cinder-3

# Delete tests
rm -fr %{buildroot}%{python3_sitelib}/cinderclient/tests

install -p -D -m 644 tools/cinder.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/cinder.bash_completion

%if 0%{?with_doc}
install -p -D -m 644 doc/build/man/cinder.1 %{buildroot}%{_mandir}/man1/cinder.1
%endif

%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{_bindir}/cinder
%{_bindir}/cinder-3
%{python3_sitelib}/cinderclient
%{python3_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d/cinder.bash_completion
%if 0%{?with_doc}
%{_mandir}/man1/cinder.1*
%endif

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%endif

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 7.4.1-1.20220727224832.4f72e6f
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 7.4.1-0.20220712122020.4f72e6f
- Update patches

* Sat Sep 04 2021 OSP Prod Chain <dev-null@redhat.com> 7.4.1-0.20210904062152.4f72e6f
- Update patches
- [stable-only] Add missing classes to cinderclient.v3
- Unset tempest.lib timeout in functional tests
- Make instance_uuid optional in attachment create
- Remove skip_missing_interpreters
- Use default nodeset for functional jobs
- Drop lower-constraints job
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 7.4.0-0.20210528000908.f7eb395
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 7.4.0-1
- Update patches

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add note for Wallaby release
- Update requirements for wallaby release
- Dropping explicit unicode literal
- Add flake8-import-order extension
- Use TOX_CONSTRAINTS_FILE
- Bump API max version to 3.64
- Remove more python2 compat code
- Remove all usage of six library
- Changed minversion in tox to 3.18.0
- Move cinderclient to new hacking 4.0.0
- Doc: Functional Tests in python-cinderclient
- Bump pylint to 2.6.0
- Remove install unnecessary packages
- Uncap PrettyTable
- Stop configuring install_command in tox.
- Add MV 3.63 to the max supported version
- Support backup-restore to a specific volume type or AZ

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update requirements and lower-constraints
- Fix undesirable raw Python error
- doc: Update Py37 instead of py27
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add functional-py38 job
- Add note for Victoria release
- Add commands for default type overrides
- Python API in python-cinderclient
- Remove excess whitespace in ignore-path
- Use importlib to take place of imp module
- zuul functional job: drop the custom playbooks
- [goal] Migrate python-cinderclient jobs to focal
- Add support for Cinder API mv3.61
- Bump hacking to 3.1.0
- trivial: Drop references to os-testr
- use stevedore to load util plugins
- Add doc linting to pep8 target
- Use unittest.mock instead of third party mock
- Clean up some old v1 API references
- Stop to use the __future__ module.
- Fix pygments style

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo: dow -> down
- Add directive to document CLI
- Switch to newer openstackdocstheme and reno versions
- Add py38 package metadata
- Fix hacking min version to 3.0.1
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Remove Babel from requirements
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add release note for Ussuri cinderclient release.
- Add support for Block Storage API mv 3.60
- Cleanup py27 support
- Remove autogen warning
- Replace bypass_url with os_endpoint
- Remove --bypass-url documentation
- Pass os_endpoint to keystone session
- Fix doc bug filing link
- Ussuri contrib docs community goal
- Add filters support for volume transfer

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop support for python 2
- Raise hacking version to 2.0.0
- Update revert_to_snapshot params
- Fix: --poll inconsistency
- Add test for subcommands
- Update hacking version
- Hide cinder CLI errors on bash-completion
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


